classification
Title: Missing code markup in "Expressions" documentation
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, gdr@garethrees.org, python-dev, terry.reedy
Priority: normal Keywords: patch

Created on 2015-06-08 11:21 by gdr@garethrees.org, last changed 2015-06-13 00:08 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
markup.patch gdr@garethrees.org, 2015-06-08 11:21 review
Messages (3)
msg244996 - (view) Author: Gareth Rees (gdr@garethrees.org) * (Python triager) Date: 2015-06-08 11:21
The "Expressions" documentation contains the text:

> * Sets and frozensets define comparison operators to mean subset and superset
>  tests.  Those relations do not define total orderings (the two sets ``{1,2}``
>  and {2,3} are not equal, nor subsets of one another, nor supersets of one
>  another).

Here {2,3} should be marked up as code (like {1,2}) but is not.
msg245270 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-06-12 19:32
This is Py3 only (Py 2 has no set displays) in Reference Manual, 6.9. Comparisons.  (Please provide such info with reports.)  Will fix.
msg245271 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-06-12 19:46
New changeset ccb0f43964e0 by Terry Jan Reedy in branch '3.4':
Closes issue #24405: mark set display as code.
https://hg.python.org/cpython/rev/ccb0f43964e0
History
Date User Action Args
2015-06-13 00:08:22berker.peksagsetstatus: open -> closed
2015-06-12 19:46:58terry.reedysettype: enhancement -> behavior
resolution: fixed
stage: needs patch -> resolved
2015-06-12 19:46:20python-devsetnosy: + python-dev
messages: + msg245271
2015-06-12 19:32:26terry.reedysetversions: + Python 3.4, Python 3.5, Python 3.6
nosy: + terry.reedy

messages: + msg245270

stage: needs patch
2015-06-08 11:21:15gdr@garethrees.orgcreate